/*
 * EH_DEBUG.h
 *
 */

#ifndef EH_DEBUG_H_
#define EH_DEBUG_H_

#include <stdio.h>
#include <syslog.h>
#include <unistd.h>
#include <sys/syscall.h>

#define gettid() syscall(__NR_gettid)

#define EH_DEBUG(fmt, ...)       syslog(LOG_DEBUG,"%ld %s(%d):" fmt ,gettid(),__FILE__,__LINE__,##__VA_ARGS__)
#define EH_INFO(fmt, ...)        syslog(LOG_DEBUG,"%ld %s(%d):" fmt ,gettid(),__FILE__,__LINE__,##__VA_ARGS__)
#define EH_NOTICE(fmt, ...)      syslog(LOG_DEBUG,"%ld %s(%d):" fmt ,gettid(),__FILE__,__LINE__,##__VA_ARGS__)
#define EH_WARNING(fmt, ...)     syslog(LOG_DEBUG,"%ld %s(%d):" fmt ,gettid(),__FILE__,__LINE__,##__VA_ARGS__)
#define EH_ERROR(fmt, ...)       syslog(LOG_DEBUG,"%ld %s(%d):" fmt ,gettid(),__FILE__,__LINE__,##__VA_ARGS__)
#define EH_CRITICAL(fmt, ...)    syslog(LOG_DEBUG,"%ld %s(%d):" fmt ,gettid(),__FILE__,__LINE__,##__VA_ARGS__)
#define EH_ALERT(fmt, ...)       syslog(LOG_DEBUG,"%ld %s(%d):" fmt ,gettid(),__FILE__,__LINE__,##__VA_ARGS__)
#define EH_EMERGENCY(fmt, ...)   syslog(LOG_DEBUG,"%ld %s(%d):" fmt ,gettid(),__FILE__,__LINE__,##__VA_ARGS__)
#define EH_TRACE(fmt, ...)       syslog(LOG_DEBUG,"%ld %s(%d):" fmt ,gettid(),__FILE__,__LINE__,##__VA_ARGS__)

//#define EH_DEBUG(fmt, ...)       syslog(LOG_DEBUG,"%s[%d]:"fmt,__FILE__,__LINE__,##__VA_ARGS__)
//#define EH_INFO(fmt, ...)        syslog(LOG_DEBUG,"%s[%d]:"fmt,__FILE__,__LINE__,##__VA_ARGS__)
//#define EH_NOTICE(fmt, ...)      syslog(LOG_DEBUG,"%s[%d]:"fmt,__FILE__,__LINE__,##__VA_ARGS__)
//#define EH_WARNING(fmt, ...)     syslog(LOG_DEBUG,"%s[%d]:"fmt,__FILE__,__LINE__,##__VA_ARGS__)
//#define EH_ERROR(fmt, ...)       syslog(LOG_DEBUG,"%s[%d]:"fmt,__FILE__,__LINE__,##__VA_ARGS__)
//#define EH_CRITICAL(fmt, ...)    syslog(LOG_DEBUG,"%s[%d]:"fmt,__FILE__,__LINE__,##__VA_ARGS__)
//#define EH_ALERT(fmt, ...)       syslog(LOG_DEBUG,"%s[%d]:"fmt,__FILE__,__LINE__,##__VA_ARGS__)
//#define EH_EMERGENCY(fmt, ...)   syslog(LOG_DEBUG,"%s[%d]:"fmt,__FILE__,__LINE__,##__VA_ARGS__)
//#define EH_TRACE(fmt, ...)       syslog(LOG_DEBUG,"%s[%d]:"fmt,__FILE__,__LINE__,##__VA_ARGS__)
#endif /* EH_DEBUG_H_ */
